FROM cerc/webapp-base:local

# Configure the cerc-io npm registry
RUN npm config set @cerc-io:registry https://git.vdb.to/api/packages/cerc-io/npm/
RUN npm config set @lirewine:registry https://git.vdb.to/api/packages/cerc-io/npm/

WORKDIR /app

COPY . .

RUN echo "Installing dependencies" && yarn
RUN echo "Building" && LACONIC_HOSTED_CONFIG_FILE=config-hosted.yml yarn dist

RUN npm config set @cerc-io:registry https://git.vdb.to/api/packages/cerc-io/npm/

RUN yarn global add file:$PWD
